Skip to main content
GET
/
availability
/
{ownerSlug}
/
event-types
/
{eventTypeSlug}
{
  "ownerSlug": "lena-meier",
  "eventTypeSlug": "30min-discovery-call",
  "schedulingUrl": "https://zeeg.me/lena-meier/30min-discovery-call",
  "duration": 30,
  "firstAvailableDate": "2026-04-01",
  "lastAvailableDate": "2026-04-14",
  "timeZone": "Europe/Berlin",
  "timeZoneOffset": "+02:00",
  "isNotAvailable": false,
  "availability": [
    {
      "date": "2026-04-01",
      "slots": [
        "09:00",
        "09:30",
        "10:00",
        "10:30",
        "14:00",
        "14:30",
        "15:00",
        "15:30",
        "16:00"
      ]
    },
    {
      "date": "2026-04-02",
      "slots": [
        "09:00",
        "09:30",
        "10:00",
        "11:00",
        "11:30",
        "14:00",
        "15:00",
        "15:30"
      ]
    },
    {
      "date": "2026-04-03",
      "slots": [
        "09:00",
        "10:30",
        "11:00",
        "14:00",
        "14:30",
        "15:00",
        "15:30",
        "16:00"
      ]
    },
    {
      "date": "2026-04-04",
      "slots": []
    },
    {
      "date": "2026-04-05",
      "slots": []
    },
    {
      "date": "2026-04-06",
      "slots": [
        "09:00",
        "09:30",
        "10:00",
        "10:30",
        "11:00",
        "14:00",
        "14:30",
        "15:00"
      ]
    },
    {
      "date": "2026-04-07",
      "slots": [
        "09:00",
        "09:30",
        "10:00",
        "10:30",
        "11:00",
        "11:30",
        "14:00",
        "14:30",
        "15:00",
        "15:30",
        "16:00"
      ]
    },
    {
      "date": "2026-04-08",
      "slots": [
        "09:00",
        "09:30",
        "14:00",
        "14:30",
        "15:00"
      ]
    },
    {
      "date": "2026-04-09",
      "slots": [
        "09:00",
        "09:30",
        "10:00",
        "10:30",
        "11:00",
        "11:30",
        "14:00",
        "14:30"
      ]
    },
    {
      "date": "2026-04-10",
      "slots": [
        "09:00",
        "09:30",
        "10:00",
        "14:00",
        "14:30",
        "15:00",
        "15:30",
        "16:00"
      ]
    },
    {
      "date": "2026-04-11",
      "slots": []
    },
    {
      "date": "2026-04-12",
      "slots": []
    },
    {
      "date": "2026-04-13",
      "slots": [
        "09:00",
        "09:30",
        "10:00",
        "10:30",
        "14:00",
        "14:30",
        "15:00",
        "15:30",
        "16:00"
      ]
    },
    {
      "date": "2026-04-14",
      "slots": [
        "09:00",
        "09:30",
        "10:00",
        "10:30",
        "11:00",
        "11:30",
        "14:00",
        "14:30",
        "15:00"
      ]
    }
  ],
  "currentTime": "2026-03-20T12:00:00+00:00"
}

Authorizations

Authorization
string
header
required

Path Parameters

ownerSlug
string
required

The slug of the calendar owner, a team slug, or shared for shared event types such as Round Robin ("R"), Flexi ("F"), or Collective ("C").

eventTypeSlug
string
required

The slug of the event type / scheduling page.

Query Parameters

startDate
string<date>
required

Start date in YYYY-MM-DD format.

Example:

"2026-04-01"

endDate
string<date>
required

End date in YYYY-MM-DD format.

Example:

"2026-04-14"

timeZone
string
default:UTC
required

IANA time zone identifier.

Example:

"Europe/Berlin"

duration
number

Meeting duration in minutes. Defaults to the event type's configured duration.

Example:

30

withHostsCount
boolean

Set to 1 to include available host count for each time slot (useful for Round Robin events). When enabled, slots will be returned as objects with time and availableHosts properties instead of simple time strings.

hostEmail
string<email>

Email of the host to filter available slots for (useful for Round Robin events).

hostSlug
string

Slug of the host to filter available slots for (useful for Round Robin events).

check_first_available
boolean

When set to 1, the response will include the first available date for the scheduling page.

seats
integer

Number of seats to book (for group event types).

Required range: x >= 1

Response

OK

  • Empty slot arrays indicate dates with no availability.
  • The isNotAvailable flag indicates if the scheduling page has no availability during the time range.
  • When withHostsCount=1 is used in the request, slots are returned as objects containing both time and available host count.
  • When hostEmail or hostSlug is used, the response will only include available slots for the specified host.
ownerSlug
string
eventTypeSlug
string
schedulingUrl
string<uri>
duration
integer
firstAvailableDate
string<date>
lastAvailableDate
string<date>
timeZone
string
timeZoneOffset
string
isNotAvailable
boolean
availability
object[]
currentTime
string<date-time>
Last modified on April 6, 2026